# TowardsMCP Client

A minimal MCP (Model Context Protocol) client package for connecting Claude, Claude-VSCode, and other MCP clients to TowardsMCP Server resources.

## Installation

```bash
# Install from PyPI
pip install towardsagi-mcp-client

# Or install from source
pip install .
```

## Usage

This package is designed to be used directly in MCP configurations for Claude Desktop, Claude VSCode Extension, Cursor, or other MCP clients.

### Example Configuration

Your MCP configuration (mcp.json) should already be correctly set up:

```json
{
  "mcpServers": {
    "towardsmcp-MyResource": {
      "command": "python3",
      "args": [
        "-m",
        "towardsagi_mcp_server.tools.toolcall"
      ],
      "env": {
        "TOWARDSMCP_API_KEY": "tmcp_YOUR_API_KEY",
        "TOWARDSMCP_SERVER_URL": "https://your-server-url.com/",
        "TOWARDSMCP_RESOURCE": "MyResource"
      }
    }
  }
}
```

### Environment Variables

The client requires the following environment variables:

- `TOWARDSMCP_API_KEY`: Your TowardsMCP API key for authentication
- `TOWARDSMCP_SERVER_URL`: URL of your TowardsMCP server
- `TOWARDSMCP_RESOURCE`: Name of the resource to connect to

## Troubleshooting

If you're experiencing a "module not found" error when using your MCP configuration, simply install this package:

```bash
pip install towardsagi-mcp-client
```

After installing this package, your existing MCP configuration should work without any changes.

## License

Proprietary - TowardsAGI.AI UK Ltd

## Author

Mansoor Pasha Iqbal (mansoor.pasha@towardsagi.ai) 